Summary: A file compression utility.
Name: bzip2
Version: 1.0.3
Release: 2tr
License: GPL
Group: Trustix Official
Source: http://www.bzip.org/1.0.3/bzip2-1.0.3.tar.gz
URL: http://www.bzip.org/ 
Patch0: bzip2-1.0.2-dest.patch
Patch1: bzip2-makeinstall.patch
BuildRequires: libtool
BuildRoot: /var/tmp/%{name}-root

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities 
of the best techniques available.  However, bzip2 has the added benefit 
of being approximately two times faster at compression and six times 
faster at decompression than those techniques.  Bzip2 is not the 
fastest compression utility, but it does strike a balance between speed 
and compression capability.

Install bzip2 if you need a compression utility.

%package libs
Group: Trustix Official
Summary: Runtime libraries of bzip2

%description libs
These library provides the same compression-algorithm as the bzip2-tools.

%package devel
Group: Trustix Official
Summary: Development-package for
Requires: bzip2-libs >= %{version}

%description devel
The headerfiles for libbzip2 and the bzip2.a file, to build your own
applications, based an the bzip2-compression.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

# Supporting LargeFiles if available
if [ %{LargeFileSupport} == '1' ]; then
  RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
fi

make CFLAGS="$RPM_OPT_FLAGS $LARGEFILES"
make -f Makefile-libbz2_so CFLAGS="$RPM_OPT_FLAGS $LARGEFILES"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

make install DESTDIR="$RPM_BUILD_ROOT"

install -m 755 libbz2.so.1.0.3 $RPM_BUILD_ROOT/%{_prefix}/lib/

cat > $RPM_BUILD_ROOT%{_prefix}/bin/bzless <<EOF
#!/bin/sh
%{_prefix}/bin/bunzip2 -c "\$@" | /usr/bin/less
EOF

ln -s libbz2.so.%{version} ${RPM_BUILD_ROOT}%{_prefix}/lib/libbz2.so

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc  README *.html
%{_prefix}/bin/*
%{_mandir}/man1/*

%files libs
%defattr(-,root,root)
%{_prefix}/lib/libbz2.so.*

%files devel
%defattr(-,root,root)
%{_prefix}/include/bzlib.h
%{_prefix}/lib/libbz2.a
%{_prefix}/lib/libbz2.so

%changelog
* Mon May  9 2005 Chr. Toldnes <christht at trustix dot org> 1.0.3-2tr
- ldconfig post scripts belongs to bzip2-libs

* Wed May 05 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 1.0.3-1tr
- New upstream

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 1.0.2-10tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.2-9tr
- Big rebuild

* Tue May 20 2003 Tore Olsen <toreo at trustix dot com> 1.0.2-8to
- Install dynamically linked bzip2.
- Link binaries instead of having multiple copies.
- Added libbz2.so to devel package.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.2-7em
- Rebuilt against glibc-2.3.2.

* Thu Jun 27 2002 Nico Erfurth <ne@perlgolf.de> 1.0.2-6ne
- Moved libbz2.a to bzip2-devel

* Thu Jun 27 2002 Nico Erfurth <ne@perlgolf.de> 1.0.2-5ne
- Implemented usage of macros for LFS
- splitted the package into runtime/libs/devel
- removed the useless install-call for libbz2.a it's installed
  by make install

* Wed Jun 26 2002 Roland Kruse <rolandk at trustix dot com> 1.0.2-4rk
- Install libbz2.a
- Add symlink libbz2.so.1 -> libbz2.so.1.0.2

* Thu Jun 20 2002 Nico Erfurth <ne@perlgolf.de> 1.0.2-3ne
- Fixed Source0 must be v102 instead of v100
- Added LargeFile-support if glibc2.2 or higher is used

* Wed Jun  5 2002 Christian H. Toldnes <christht at trustix dot com>
- Forceinstall libbz2.so.1.0.2, due to sucky Makefiles.

* Mon Jun  3 2002 Christian H. Toldnes <christht at trustix dot com>
- Upgrade to 1.0.2

* Wed Nov  1 2000 Erlend Midttun <erlendbm at trustix dot com>
- Seems like we lost shared libraries along the way.

* Tue Sep 12 2000 Erlend Midttun <erlendbm at trustix dot com>
- Upgrade to 1.0.1

* Fri Jan 21 2000 Tore Olsen <toreo at trustix dot com>
- upgrade to 0.9.5d
- remade shlib patch and moved man pages to /usr/share (FHS compliance)

* Tue Aug 10 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 0.9.5c.

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- install actual bzip2 binary, not libtool cruft.

* Sun Aug  8 1999 Jeff Johnson <jbj@redhat.com>
- run ldconfig to get shared library.

* Mon Aug  2 1999 Jeff Johnson <jbj@redhat.com>
- create shared libbz1.so.* library.

* Sun Apr  4 1999 Jeff Johnson <jbj@redhat.com>
- update to bzip2-0.9.0c.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- force compilation with egcs to avoid gcc optimization bug (thank God 
  we haven't been beaten by it)

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- version 0.9.0b

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.9.0

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- first build for Manhattan
